## eureka 1.00

=== Makefile ===
#
#  --- Eureka Editor ---
#
#  Makefile for Unixy system-wide install
#

PROGRAM=eureka

# prefix choices: /usr  /usr/local  /opt
INSTALL_PREFIX=/usr/local

OBJ_DIR=obj_linux

OPTIMISE=-O0 -g3 -fno-strict-aliasing

# operating system choices: UNIX WIN32
OS=UNIX


#--- Internal stuff from here -----------------------------------

INSTALL_DIR=$(INSTALL_PREFIX)/share/eureka

CXXFLAGS=$(OPTIMISE) -Wall -D$(OS)  \
         -Iglbsp_src  \
         -D_THREAD_SAFE -D_REENTRANT

LDFLAGS=-L/usr/X11R6/lib

LIBS= \
     -lfltk_images -lfltk_gl -lfltk  \
     -lX11 -lXext -lXft -lfontconfig -lXinerama  \
     -lpng -ljpeg -lGL -lz -lm


# support for a non-standard install of FLTK
ifneq ($(FLTK_PREFIX),)
CXXFLAGS += -I$(FLTK_PREFIX)/include
LDFLAGS += -L$(FLTK_PREFIX)/lib -Wl,-rpath,$(FLTK_PREFIX)/lib
endif

# support for statically linking FLTK (no GL, local JPEG and PNG)
ifneq ($(FLTK_STATIC),)
LIBS= \
     -lfltk_images -lfltk  \
     -lfltk_png -lfltk_jpeg \
     -lX11 -lXext -lXft -lfontconfig -lXinerama \
     -lz -lm
endif


#----- Object files ----------------------------------------------

OBJS = \
	$(OBJ_DIR)/editloop.o  \
	$(OBJ_DIR)/e_basis.o   \
	$(OBJ_DIR)/e_checks.o   \
	$(OBJ_DIR)/e_checks2.o   \
	$(OBJ_DIR)/e_cutpaste.o  \
	$(OBJ_DIR)/e_linedef.o   \
	$(OBJ_DIR)/e_loadsave.o  \
	$(OBJ_DIR)/e_nodes.o  \
	$(OBJ_DIR)/e_path.o  \
	$(OBJ_DIR)/e_sector.o  \
	$(OBJ_DIR)/e_things.o  \
	$(OBJ_DIR)/e_vertex.o  \
	$(OBJ_DIR)/im_arrows.o  \
	$(OBJ_DIR)/im_color.o  \
	$(OBJ_DIR)/im_img.o   \
	$(OBJ_DIR)/levels.o  \
	$(OBJ_DIR)/lib_adler.o  \
	$(OBJ_DIR)/lib_file.o  \
	$(OBJ_DIR)/lib_util.o  \
	$(OBJ_DIR)/main.o  \
	$(OBJ_DIR)/m_bitvec.o  \
	$(OBJ_DIR)/m_config.o  \
	$(OBJ_DIR)/m_files.o  \
	$(OBJ_DIR)/m_game.o  \
	$(OBJ_DIR)/m_keys.o  \
	$(OBJ_DIR)/m_select.o  \
	$(OBJ_DIR)/m_strings.o  \
	$(OBJ_DIR)/objects.o  \
	$(OBJ_DIR)/r_grid.o  \
	$(OBJ_DIR)/r_render.o  \
	$(OBJ_DIR)/selectn.o  \
	$(OBJ_DIR)/sys_debug.o \
	$(OBJ_DIR)/ui_about.o  \
	$(OBJ_DIR)/ui_browser.o  \
	$(OBJ_DIR)/ui_canvas.o  \
	$(OBJ_DIR)/ui_dialog.o  \
	$(OBJ_DIR)/ui_file.o  \
	$(OBJ_DIR)/ui_hyper.o  \
	$(OBJ_DIR)/ui_infobar.o  \
	$(OBJ_DIR)/ui_linedef.o  \
	$(OBJ_DIR)/ui_menu.o  \
	$(OBJ_DIR)/ui_misc.o  \
	$(OBJ_DIR)/ui_nombre.o  \
	$(OBJ_DIR)/ui_nodes.o  \
	$(OBJ_DIR)/ui_pic.o  \
	$(OBJ_DIR)/ui_prefs.o  \
	$(OBJ_DIR)/ui_sector.o  \
	$(OBJ_DIR)/ui_scroll.o  \
	$(OBJ_DIR)/ui_sidedef.o  \
	$(OBJ_DIR)/ui_thing.o  \
	$(OBJ_DIR)/ui_tile.o   \
	$(OBJ_DIR)/ui_vertex.o  \
	$(OBJ_DIR)/ui_window.o  \
	$(OBJ_DIR)/vm_builtin.o  \
	$(OBJ_DIR)/vm_compile.o  \
	$(OBJ_DIR)/vm_execute.o  \
	$(OBJ_DIR)/vm_object.o  \
	$(OBJ_DIR)/vm_lex.o  \
	$(OBJ_DIR)/w_loadpic.o  \
	$(OBJ_DIR)/w_flats.o  \
	$(OBJ_DIR)/w_sprite.o  \
	$(OBJ_DIR)/w_texture.o  \
	$(OBJ_DIR)/w_wad.o   \
	$(OBJ_DIR)/x_hover.o  \
	$(OBJ_DIR)/x_loop.o  \
	$(OBJ_DIR)/x_mirror.o

$(OBJ_DIR)/%.o: src/%.cc
	$(CXX) $(CXXFLAGS) -o $@ -c $<


#----- glBSP Objects ------------------------------------------------

GLBSP_OBJS= \
	$(OBJ_DIR)/glbsp/analyze.o  \
	$(OBJ_DIR)/glbsp/blockmap.o \
	$(OBJ_DIR)/glbsp/glbsp.o    \
	$(OBJ_DIR)/glbsp/level.o    \
	$(OBJ_DIR)/glbsp/node.o     \
	$(OBJ_DIR)/glbsp/reject.o   \
	$(OBJ_DIR)/glbsp/seg.o      \
	$(OBJ_DIR)/glbsp/system.o   \
	$(OBJ_DIR)/glbsp/util.o     \
	$(OBJ_DIR)/glbsp/wad.o

GLBSP_CXXFLAGS=$(OPTIMISE) -Wall -DINLINE_G=inline

$(OBJ_DIR)/glbsp/%.o: glbsp_src/%.cc
	$(CXX) $(GLBSP_CXXFLAGS) -o $@ -c $< 


#----- Targets -----------------------------------------------

all: $(PROGRAM)

clean:
	rm -f $(PROGRAM) $(OBJ_DIR)/*.* core core.*
	rm -f $(OBJ_DIR)/glbsp/*.*
	rm -f ERRS LOG.txt update.log

$(PROGRAM): $(OBJS) $(GLBSP_OBJS)
	$(CXX) $^ -o $@ $(LDFLAGS) $(LIBS)

stripped: $(PROGRAM)
	strip --strip-unneeded $(PROGRAM)

install: stripped
	install -o root -m 755 $(PROGRAM) $(INSTALL_PREFIX)/bin/
	install -d $(INSTALL_DIR)/games
	install -d $(INSTALL_DIR)/common
	install -d $(INSTALL_DIR)/ports
	install -d $(INSTALL_DIR)/mods
	install -d $(INSTALL_DIR)/ups
	install -o root -m 644 misc/bindings.cfg $(INSTALL_DIR)/bindings.cfg
	install -o root -m 644 misc/about_logo.png $(INSTALL_DIR)/about_logo.png
	install -o root -m 644 misc/core_defs.up $(INSTALL_DIR)/core_defs.up
	install -o root -m 644 games/*.* $(INSTALL_DIR)/games
	install -o root -m 644 common/*.* $(INSTALL_DIR)/common
	install -o root -m 644 ports/*.* $(INSTALL_DIR)/ports
#	install -o root -m 644 mods/*.*  $(INSTALL_DIR)/mods
#	install -o root -m 644 ups/*.*  $(INSTALL_DIR)/ups
	xdg-desktop-menu  install --novendor misc/eureka.desktop
	xdg-icon-resource install --novendor --size 32 misc/eureka.xpm

uninstall:
	rm -v $(INSTALL_PREFIX)/bin/$(PROGRAM)
	rm -Rv $(INSTALL_DIR) 
	xdg-desktop-menu  uninstall --novendor misc/eureka.desktop
	xdg-icon-resource uninstall --novendor --size 32 eureka

.PHONY: all clean stripped install uninstall

#--- editor settings ------------
# vi:ts=8:sw=8:noexpandtab

=== debian/changelog ===
eureka (1.00-2) unstable; urgency=low

  * Really fix linking by adding (-lm and) -lz to the LIBS variable,
    thanks Aaron M. Ucko (Closes: #721576).

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Sat, 07 Sep 2013 20:52:47 +0200

eureka (1.00-1) unstable; urgency=low

  * New upstream version.
  * Refresh patches.
  * Drop erroneous overriding of the LIBS variable (Closes: #721576).

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Tue, 27 Aug 2013 09:22:52 +0200

eureka (0.95-1) unstable; urgency=low

  * Initial release (Closes: #717077).
  * Do not install desktop file and icon system-wide in Makefile.
  * Add rudimentary manpage with the help of help2man.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Tue, 16 Jul 2013 14:52:56 +0200

=== debian/control ===
Source: eureka
Section: utils
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Fabian Greffrath <fabian+debian@greffrath.com>
Build-Depends:
 debhelper (>= 9),
 libfltk1.3-dev,
 zlib1g-dev | libz-dev
Standards-Version: 3.9.4
Homepage: http://eureka-editor.sourceforge.net/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/eureka.git
Vcs-Git: git://anonscm.debian.org/pkg-games/eureka.git

Package: eureka
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends: freedoom | game-data-packager | boom-wad | doom-wad
Description: map editor for the classic DOOM games
 Eureka is a cross-platform map editor for the classic DOOM games.
 It started as a fork of the Yadex editor attempting to make it use the
 FLTK GUI toolkit and implement multiple Undo / Redo.
 .
 Supported games include DOOM, DOOM 2, Final Doom, FreeDoom, HacX and Heretic.
 Supported source ports are Boom, EDGE, Doom Legacy and Odamex.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND  = -Wl,--as-needed -Wl,-z,defs
export DEB_CXXFLAGS_MAINT_APPEND = $(shell fltk-config --use-images --cxxflags)
LIBS  = $(shell fltk-config --ldflags --use-gl --use-images)
LIBS += -lm -lz

%:
	dh $@

override_dh_auto_build:
	mkdir -p obj_linux/glbsp
	dh_auto_build -- \
		INSTALL_PREFIX=/usr \
		OPTIMISE="$(CPPFLAGS) $(CXXFLAGS)" \
		LDFLAGS="$(LDFLAGS)" \
		LIBS="$(LIBS)"

override_dh_auto_install:
	install -d $(CURDIR)/debian/eureka/usr/bin
	dh_auto_install -- \
		INSTALL_PREFIX=$(CURDIR)/debian/eureka/usr

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.txt

override_dh_installdocs:
	dh_installdocs AUTHORS.txt README.txt

override_dh_installman:
	dh_installman debian/eureka.1

=== debian/watch ===
version=3

http://sf.net/eureka/eureka-(.*)\.tar\.gz

## eureka 1.07

=== Makefile ===
--- 
+++ 
@@ -7,11 +7,13 @@
 PROGRAM=eureka
 
 # prefix choices: /usr  /usr/local  /opt
-INSTALL_PREFIX=/usr/local
+PREFIX=/usr/local
 
 OBJ_DIR=obj_linux
 
-OPTIMISE=-O0 -g3 -fno-strict-aliasing
+OPTIMISE=-O2 -fno-strict-aliasing
+
+STRIP_FLAGS=--strip-unneeded
 
 # operating system choices: UNIX WIN32
 OS=UNIX
@@ -19,7 +21,7 @@
 
 #--- Internal stuff from here -----------------------------------
 
-INSTALL_DIR=$(INSTALL_PREFIX)/share/eureka
+INSTALL_DIR=$(PREFIX)/share/eureka
 
 CXXFLAGS=$(OPTIMISE) -Wall -D$(OS)  \
          -Iglbsp_src  \
@@ -36,7 +38,8 @@
 # support for a non-standard install of FLTK
 ifneq ($(FLTK_PREFIX),)
 CXXFLAGS += -I$(FLTK_PREFIX)/include
-LDFLAGS += -L$(FLTK_PREFIX)/lib -Wl,-rpath,$(FLTK_PREFIX)/lib
+LDFLAGS += -L$(FLTK_PREFIX)/lib
+  ## -Wl,-rpath,$(FLTK_PREFIX)/lib
 endif
 
 # support for statically linking FLTK (no GL, local JPEG and PNG)
@@ -44,8 +47,8 @@
 LIBS= \
      -lfltk_images -lfltk  \
      -lfltk_png -lfltk_jpeg \
-     -lX11 -lXext -lXft -lfontconfig -lXinerama \
-     -lz -lm
+     -lX11 -lXext -lXft -lfontconfig -lXfixes -lXcursor \
+     -lfltk_z -ldl -lm
 endif
 
 
@@ -82,11 +85,11 @@
 	$(OBJ_DIR)/objects.o  \
 	$(OBJ_DIR)/r_grid.o  \
 	$(OBJ_DIR)/r_render.o  \
-	$(OBJ_DIR)/selectn.o  \
 	$(OBJ_DIR)/sys_debug.o \
 	$(OBJ_DIR)/ui_about.o  \
 	$(OBJ_DIR)/ui_browser.o  \
 	$(OBJ_DIR)/ui_canvas.o  \
+	$(OBJ_DIR)/ui_default.o  \
 	$(OBJ_DIR)/ui_dialog.o  \
 	$(OBJ_DIR)/ui_file.o  \
 	$(OBJ_DIR)/ui_hyper.o  \
@@ -98,6 +101,7 @@
 	$(OBJ_DIR)/ui_nodes.o  \
 	$(OBJ_DIR)/ui_pic.o  \
 	$(OBJ_DIR)/ui_prefs.o  \
+	$(OBJ_DIR)/ui_replace.o  \
 	$(OBJ_DIR)/ui_sector.o  \
 	$(OBJ_DIR)/ui_scroll.o  \
 	$(OBJ_DIR)/ui_sidedef.o  \
@@ -105,11 +109,6 @@
 	$(OBJ_DIR)/ui_tile.o   \
 	$(OBJ_DIR)/ui_vertex.o  \
 	$(OBJ_DIR)/ui_window.o  \
-	$(OBJ_DIR)/vm_builtin.o  \
-	$(OBJ_DIR)/vm_compile.o  \
-	$(OBJ_DIR)/vm_execute.o  \
-	$(OBJ_DIR)/vm_object.o  \
-	$(OBJ_DIR)/vm_lex.o  \
 	$(OBJ_DIR)/w_loadpic.o  \
 	$(OBJ_DIR)/w_flats.o  \
 	$(OBJ_DIR)/w_sprite.o  \
@@ -156,18 +155,17 @@
 	$(CXX) $^ -o $@ $(LDFLAGS) $(LIBS)
 
 stripped: $(PROGRAM)
-	strip --strip-unneeded $(PROGRAM)
+	strip $(STRIP_FLAGS) $(PROGRAM)
 
 install: stripped
-	install -o root -m 755 $(PROGRAM) $(INSTALL_PREFIX)/bin/
+	install -o root -m 755 $(PROGRAM) $(PREFIX)/bin/
 	install -d $(INSTALL_DIR)/games
 	install -d $(INSTALL_DIR)/common
 	install -d $(INSTALL_DIR)/ports
 	install -d $(INSTALL_DIR)/mods
 	install -d $(INSTALL_DIR)/ups
-	install -o root -m 644 misc/bindings.cfg $(INSTALL_DIR)/bindings.cfg
+	install -o root -m 644 bindings.cfg $(INSTALL_DIR)/bindings.cfg
 	install -o root -m 644 misc/about_logo.png $(INSTALL_DIR)/about_logo.png
-	install -o root -m 644 misc/core_defs.up $(INSTALL_DIR)/core_defs.up
 	install -o root -m 644 games/*.* $(INSTALL_DIR)/games
 	install -o root -m 644 common/*.* $(INSTALL_DIR)/common
 	install -o root -m 644 ports/*.* $(INSTALL_DIR)/ports
@@ -177,7 +175,7 @@
 	xdg-icon-resource install --novendor --size 32 misc/eureka.xpm
 
 uninstall:
-	rm -v $(INSTALL_PREFIX)/bin/$(PROGRAM)
+	rm -v $(PREFIX)/bin/$(PROGRAM)
 	rm -Rv $(INSTALL_DIR) 
 	xdg-desktop-menu  uninstall --novendor misc/eureka.desktop
 	xdg-icon-resource uninstall --novendor --size 32 eureka

=== debian/changelog ===
eureka (1.07-1) unstable; urgency=medium

  * Imported Upstream version 1.07.
    + Supports loading a read-only file (Closes: #751603).
    + Fixes "array subscript is above array bounds" warnings.
  * Refresh xdg-install.patch and add DEP-3 header.
  * Adapt dh_auto_install rule to upstream's INSTALL_PREFIX --> PREFIX change.
  * Install upstream's manpage instead of our own.
  * Update debian/copyright.
  * Make builds reproducible.
  * Bump Standards-Version to 3.9.6.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Mon, 27 Apr 2015 09:28:29 +0200

eureka (1.00-3) unstable; urgency=low

  * Team upload.

  [ Fabian Greffrath ]
  * Fix debian/watch file.

  [ Vincent Cheng ]
  * Update Standards version to 3.9.5, no changes required.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Mon, 05 May 2014 10:35:57 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  debhelper (>= 9),
  libfltk1.3-dev,
  zlib1g-dev | libz-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: http://eureka-editor.sourceforge.net/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/eureka.git
 Vcs-Git: git://anonscm.debian.org/pkg-games/eureka.git

## eureka 1.11

=== Makefile ===
--- 
+++ 
@@ -38,8 +38,7 @@
 # support for a non-standard install of FLTK
 ifneq ($(FLTK_PREFIX),)
 CXXFLAGS += -I$(FLTK_PREFIX)/include
-LDFLAGS += -L$(FLTK_PREFIX)/lib
-  ## -Wl,-rpath,$(FLTK_PREFIX)/lib
+LDFLAGS += -L$(FLTK_PREFIX)/lib -Wl,-rpath,$(FLTK_PREFIX)/lib
 endif
 
 # support for statically linking FLTK (no GL, local JPEG and PNG)
@@ -47,8 +46,8 @@
 LIBS= \
      -lfltk_images -lfltk  \
      -lfltk_png -lfltk_jpeg \
-     -lX11 -lXext -lXft -lfontconfig -lXfixes -lXcursor \
-     -lfltk_z -ldl -lm
+     -lX11 -lXext -lXft -lfontconfig -lXinerama \
+     -lz -lm
 endif
 
 
@@ -163,14 +162,13 @@
 	install -d $(INSTALL_DIR)/common
 	install -d $(INSTALL_DIR)/ports
 	install -d $(INSTALL_DIR)/mods
-	install -d $(INSTALL_DIR)/ups
+	rm -f $(INSTALL_DIR)/games/freedoom.ugh
 	install -o root -m 644 bindings.cfg $(INSTALL_DIR)/bindings.cfg
 	install -o root -m 644 misc/about_logo.png $(INSTALL_DIR)/about_logo.png
 	install -o root -m 644 games/*.* $(INSTALL_DIR)/games
 	install -o root -m 644 common/*.* $(INSTALL_DIR)/common
 	install -o root -m 644 ports/*.* $(INSTALL_DIR)/ports
 #	install -o root -m 644 mods/*.*  $(INSTALL_DIR)/mods
-#	install -o root -m 644 ups/*.*  $(INSTALL_DIR)/ups
 	xdg-desktop-menu  install --novendor misc/eureka.desktop
 	xdg-icon-resource install --novendor --size 32 misc/eureka.xpm

=== debian/changelog ===
eureka (1.11-2) unstable; urgency=medium

  * Remove the debian/eureka.menu file.
  * Mangle the Debian version to follow upstream and remove the point.
  * Do not create "truncated" blockmaps. Instead, leave the BLOCKMAP lump
    as empty, to allow source ports with internal blockmap generators to
    generate one. Patch from upstream GIT.

 -- Fabian Greffrath <fabian@debian.org>  Sun, 07 Feb 2016 17:34:14 +0100

eureka (1.11-1) unstable; urgency=medium

  * Imported Upstream version 1.11
  * Remove eureka-desktop.patch, fixed upstream.
    Refresh the other two patches.

 -- Fabian Greffrath <fabian@debian.org>  Sat, 30 Jan 2016 15:30:13 +0100

eureka (1.07-2) unstable; urgency=medium

  * Updated eureka.desktop file with:
    1. %f on Exec line and a MimeType line, so can handle wad files from
       file-system exploring/navigation programs
    2. replaced "X-DoomEditor" category with "ActionGame"
    3. added Keywords line

 -- Fabian Greffrath <fabian@debian.org>  Mon, 21 Sep 2015 16:48:57 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: utils
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Fabian Greffrath <fabian+debian@greffrath.com>
+Uploaders: Fabian Greffrath <fabian@debian.org>
 Build-Depends:
  debhelper (>= 9),
  libfltk1.3-dev,

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 override_dh_auto_install:
 	install -d $(CURDIR)/debian/eureka/usr/bin
 	dh_auto_install -- \
-		INSTALL_PREFIX=$(CURDIR)/debian/eureka/usr
+		PREFIX=$(CURDIR)/debian/eureka/usr
 
 override_dh_installchangelogs:
 	dh_installchangelogs CHANGES.txt
@@ -28,4 +28,4 @@
 	dh_installdocs AUTHORS.txt README.txt
 
 override_dh_installman:
-	dh_installman debian/eureka.1
+	dh_installman misc/eureka.6

## eureka 1.21

=== Makefile ===
--- 
+++ 
@@ -24,7 +24,6 @@
 INSTALL_DIR=$(PREFIX)/share/eureka
 
 CXXFLAGS=$(OPTIMISE) -Wall -D$(OS)  \
-         -Iglbsp_src  \
          -D_THREAD_SAFE -D_REENTRANT
 
 LDFLAGS=-L/usr/X11R6/lib
@@ -54,34 +53,36 @@
 #----- Object files ----------------------------------------------
 
 OBJS = \
-	$(OBJ_DIR)/editloop.o  \
 	$(OBJ_DIR)/e_basis.o   \
 	$(OBJ_DIR)/e_checks.o   \
-	$(OBJ_DIR)/e_checks2.o   \
+	$(OBJ_DIR)/e_commands.o  \
 	$(OBJ_DIR)/e_cutpaste.o  \
+	$(OBJ_DIR)/e_hover.o  \
 	$(OBJ_DIR)/e_linedef.o   \
-	$(OBJ_DIR)/e_loadsave.o  \
-	$(OBJ_DIR)/e_nodes.o  \
+	$(OBJ_DIR)/e_main.o  \
+	$(OBJ_DIR)/e_objects.o  \
 	$(OBJ_DIR)/e_path.o  \
 	$(OBJ_DIR)/e_sector.o  \
 	$(OBJ_DIR)/e_things.o  \
 	$(OBJ_DIR)/e_vertex.o  \
-	$(OBJ_DIR)/im_arrows.o  \
 	$(OBJ_DIR)/im_color.o  \
 	$(OBJ_DIR)/im_img.o   \
-	$(OBJ_DIR)/levels.o  \
 	$(OBJ_DIR)/lib_adler.o  \
 	$(OBJ_DIR)/lib_file.o  \
+	$(OBJ_DIR)/lib_tga.o   \
 	$(OBJ_DIR)/lib_util.o  \
 	$(OBJ_DIR)/main.o  \
 	$(OBJ_DIR)/m_bitvec.o  \
 	$(OBJ_DIR)/m_config.o  \
+	$(OBJ_DIR)/m_events.o  \
 	$(OBJ_DIR)/m_files.o  \
 	$(OBJ_DIR)/m_game.o  \
 	$(OBJ_DIR)/m_keys.o  \
+	$(OBJ_DIR)/m_loadsave.o  \
+	$(OBJ_DIR)/m_nodes.o  \
 	$(OBJ_DIR)/m_select.o  \
 	$(OBJ_DIR)/m_strings.o  \
-	$(OBJ_DIR)/objects.o  \
+	$(OBJ_DIR)/m_testmap.o  \
 	$(OBJ_DIR)/r_grid.o  \
 	$(OBJ_DIR)/r_render.o  \
 	$(OBJ_DIR)/sys_debug.o \
@@ -97,7 +98,6 @@
 	$(OBJ_DIR)/ui_menu.o  \
 	$(OBJ_DIR)/ui_misc.o  \
 	$(OBJ_DIR)/ui_nombre.o  \
-	$(OBJ_DIR)/ui_nodes.o  \
 	$(OBJ_DIR)/ui_pic.o  \
 	$(OBJ_DIR)/ui_prefs.o  \
 	$(OBJ_DIR)/ui_replace.o  \
@@ -109,36 +109,15 @@
 	$(OBJ_DIR)/ui_vertex.o  \
 	$(OBJ_DIR)/ui_window.o  \
 	$(OBJ_DIR)/w_loadpic.o  \
-	$(OBJ_DIR)/w_flats.o  \
-	$(OBJ_DIR)/w_sprite.o  \
 	$(OBJ_DIR)/w_texture.o  \
 	$(OBJ_DIR)/w_wad.o   \
-	$(OBJ_DIR)/x_hover.o  \
-	$(OBJ_DIR)/x_loop.o  \
-	$(OBJ_DIR)/x_mirror.o
+	\
+	$(OBJ_DIR)/bsp_level.o \
+	$(OBJ_DIR)/bsp_node.o \
+	$(OBJ_DIR)/bsp_util.o
 
 $(OBJ_DIR)/%.o: src/%.cc
 	$(CXX) $(CXXFLAGS) -o $@ -c $<
-
-
-#----- glBSP Objects ------------------------------------------------
-
-GLBSP_OBJS= \
-	$(OBJ_DIR)/glbsp/analyze.o  \
-	$(OBJ_DIR)/glbsp/blockmap.o \
-	$(OBJ_DIR)/glbsp/glbsp.o    \
-	$(OBJ_DIR)/glbsp/level.o    \
-	$(OBJ_DIR)/glbsp/node.o     \
-	$(OBJ_DIR)/glbsp/reject.o   \
-	$(OBJ_DIR)/glbsp/seg.o      \
-	$(OBJ_DIR)/glbsp/system.o   \
-	$(OBJ_DIR)/glbsp/util.o     \
-	$(OBJ_DIR)/glbsp/wad.o
-
-GLBSP_CXXFLAGS=$(OPTIMISE) -Wall -DINLINE_G=inline
-
-$(OBJ_DIR)/glbsp/%.o: glbsp_src/%.cc
-	$(CXX) $(GLBSP_CXXFLAGS) -o $@ -c $< 
 
 
 #----- Targets -----------------------------------------------
@@ -147,10 +126,9 @@
 
 clean:
 	rm -f $(PROGRAM) $(OBJ_DIR)/*.* core core.*
-	rm -f $(OBJ_DIR)/glbsp/*.*
 	rm -f ERRS LOG.txt update.log
 
-$(PROGRAM): $(OBJS) $(GLBSP_OBJS)
+$(PROGRAM): $(OBJS)
 	$(CXX) $^ -o $@ $(LDFLAGS) $(LIBS)
 
 stripped: $(PROGRAM)
@@ -161,20 +139,20 @@
 	install -d $(INSTALL_DIR)/games
 	install -d $(INSTALL_DIR)/common
 	install -d $(INSTALL_DIR)/ports
-	install -d $(INSTALL_DIR)/mods
 	rm -f $(INSTALL_DIR)/games/freedoom.ugh
 	install -o root -m 644 bindings.cfg $(INSTALL_DIR)/bindings.cfg
+	install -o root -m 644 defaults.cfg $(INSTALL_DIR)/defaults.cfg
+	install -o root -m 644 operations.cfg $(INSTALL_DIR)/operations.cfg
 	install -o root -m 644 misc/about_logo.png $(INSTALL_DIR)/about_logo.png
 	install -o root -m 644 games/*.* $(INSTALL_DIR)/games
 	install -o root -m 644 common/*.* $(INSTALL_DIR)/common
 	install -o root -m 644 ports/*.* $(INSTALL_DIR)/ports
-#	install -o root -m 644 mods/*.*  $(INSTALL_DIR)/mods
 	xdg-desktop-menu  install --novendor misc/eureka.desktop
 	xdg-icon-resource install --novendor --size 32 misc/eureka.xpm
 
 uninstall:
 	rm -v $(PREFIX)/bin/$(PROGRAM)
-	rm -Rv $(INSTALL_DIR) 
+	rm -Rv $(INSTALL_DIR)
 	xdg-desktop-menu  uninstall --novendor misc/eureka.desktop
 	xdg-icon-resource uninstall --novendor --size 32 eureka

=== debian/changelog ===
eureka (1.21-2) unstable; urgency=medium

  * Upload to unstable.
  * Bump debhelper compat to 10.
  * Backport a patch from upstream GIT to
    fix a regression with sector merging.

 -- Fabian Greffrath <fabian@debian.org>  Sat, 24 Jun 2017 14:11:41 +0200

eureka (1.21-1) experimental; urgency=medium

  * New upstream version 1.21
  * Refresh patches.
  * Remove 0001 patch, applied upstream.
  * Fix vcs-field-uses-insecure-uri lintian warnings.
  * Bump Standards-Version to 3.9.8.

 -- Fabian Greffrath <fabian@debian.org>  Wed, 08 Mar 2017 21:56:18 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Fabian Greffrath <fabian@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10~),
  libfltk1.3-dev,
  zlib1g-dev | libz-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://eureka-editor.sourceforge.net/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/eureka.git
-Vcs-Git: git://anonscm.debian.org/pkg-games/eureka.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/eureka.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-games/eureka.git
 
 Package: eureka
 Architecture: any

=== debian/watch ===
version=3

opts="uversionmangle=s/-source//, dversionmangle=s/\.//" \
http://sf.net/eureka-editor/eureka-(.*)\.tar\.gz

## eureka 1.24

=== Makefile ===
--- 
+++ 
@@ -11,20 +11,16 @@
 
 OBJ_DIR=obj_linux
 
-OPTIMISE=-O2 -fno-strict-aliasing
+# CXX=clang++-6.0
 
+WARNINGS=-Wall -Wextra -Wno-unused-parameter -Wno-missing-field-initializers
+OPTIMISE=-O2 -std=c++03 -fno-strict-aliasing -fwrapv
 STRIP_FLAGS=--strip-unneeded
-
-# operating system choices: UNIX WIN32
-OS=UNIX
 
 
 #--- Internal stuff from here -----------------------------------
 
-INSTALL_DIR=$(PREFIX)/share/eureka
-
-CXXFLAGS=$(OPTIMISE) -Wall -D$(OS)  \
-         -D_THREAD_SAFE -D_REENTRANT
+CXXFLAGS=$(OPTIMISE) $(WARNINGS) -D_THREAD_SAFE -D_REENTRANT
 
 LDFLAGS=-L/usr/X11R6/lib
 
@@ -32,6 +28,8 @@
      -lfltk_images -lfltk_gl -lfltk  \
      -lX11 -lXext -lXft -lfontconfig -lXinerama  \
      -lpng -ljpeg -lGL -lz -lm
+
+DUMMY=$(OBJ_DIR)/zzdummy
 
 
 # support for a non-standard install of FLTK
@@ -74,6 +72,7 @@
 	$(OBJ_DIR)/main.o  \
 	$(OBJ_DIR)/m_bitvec.o  \
 	$(OBJ_DIR)/m_config.o  \
+	$(OBJ_DIR)/m_editlump.o  \
 	$(OBJ_DIR)/m_events.o  \
 	$(OBJ_DIR)/m_files.o  \
 	$(OBJ_DIR)/m_game.o  \
@@ -91,6 +90,7 @@
 	$(OBJ_DIR)/ui_canvas.o  \
 	$(OBJ_DIR)/ui_default.o  \
 	$(OBJ_DIR)/ui_dialog.o  \
+	$(OBJ_DIR)/ui_editor.o  \
 	$(OBJ_DIR)/ui_file.o  \
 	$(OBJ_DIR)/ui_hyper.o  \
 	$(OBJ_DIR)/ui_infobar.o  \
@@ -122,20 +122,30 @@
 
 #----- Targets -----------------------------------------------
 
-all: $(PROGRAM)
+all: $(DUMMY) $(PROGRAM)
 
 clean:
-	rm -f $(PROGRAM) $(OBJ_DIR)/*.* core core.*
-	rm -f ERRS LOG.txt update.log
+	rm -f $(PROGRAM) $(OBJ_DIR)/*.[oa]
+	rm -f ERRS LOG.txt update.log core core.*
 
 $(PROGRAM): $(OBJS)
 	$(CXX) $^ -o $@ $(LDFLAGS) $(LIBS)
 
-stripped: $(PROGRAM)
+# this is used to create the OBJ_DIR directory
+$(DUMMY):
+	mkdir -p $(OBJ_DIR)
+	@touch $@
+
+stripped: all
 	strip $(STRIP_FLAGS) $(PROGRAM)
 
+# note that DESTDIR is usually left undefined, and is mainly
+# useful when making packages for Debian/RedHat/etc...
+
+INSTALL_DIR=$(DESTDIR)$(PREFIX)/share/eureka
+
 install: stripped
-	install -o root -m 755 $(PROGRAM) $(PREFIX)/bin/
+	install -o root -m 755 $(PROGRAM) $(DESTDIR)$(PREFIX)/bin/
 	install -d $(INSTALL_DIR)/games
 	install -d $(INSTALL_DIR)/common
 	install -d $(INSTALL_DIR)/ports
@@ -147,16 +157,22 @@
 	install -o root -m 644 games/*.* $(INSTALL_DIR)/games
 	install -o root -m 644 common/*.* $(INSTALL_DIR)/common
 	install -o root -m 644 ports/*.* $(INSTALL_DIR)/ports
+
+full-install: install
 	xdg-desktop-menu  install --novendor misc/eureka.desktop
 	xdg-icon-resource install --novendor --size 32 misc/eureka.xpm
 
 uninstall:
-	rm -v $(PREFIX)/bin/$(PROGRAM)
+	rm -v $(DESTDIR)$(PREFIX)/bin/$(PROGRAM)
 	rm -Rv $(INSTALL_DIR)
+
+full-uninstall: uninstall
 	xdg-desktop-menu  uninstall --novendor misc/eureka.desktop
 	xdg-icon-resource uninstall --novendor --size 32 eureka
 
-.PHONY: all clean stripped install uninstall
+.PHONY: all clean stripped
+
+.PHONY: install uninstall full-install full-uninstall
 
 #--- editor settings ------------
 # vi:ts=8:sw=8:noexpandtab

=== debian/changelog ===
eureka (1.24-1) unstable; urgency=medium

  * New upstream version 1.24
    + Fixed raising Eureka window when other windows have KB focus
      (Closes: #883431).
    + Preferences: a setting to show sidedef ADD / DEL buttons
      (Closes: #897435).
  * Update Vcs-* fields to point to the salsa repository.
  * Remove patches backported from or resolved upstream.
  * Properly set PREFIX and DESTDIR variables during build and install rules.
  * Enable all hardening flags.
  * Bump debhelper compat to 11.
  * Bump Standards-Version to 4.1.5.
  * Use secure debian/copyright format URI.
  * Add some more packages to Build-Depends,
    as required by the upstream Makefile.
  * Create /usr/bin directory in debian/eureka.dirs.
  * Do not override more build flags than necessary.
  * Install VIM syntax addon.

 -- Fabian Greffrath <fabian@debian.org>  Fri, 10 Aug 2018 19:29:39 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,19 @@
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Fabian Greffrath <fabian@debian.org>
 Build-Depends:
- debhelper (>= 10~),
+ debhelper (>= 11~),
  libfltk1.3-dev,
+ libfontconfig1-dev,
+ libgl1-mesa-dev,
+ libjpeg-dev,
+ libxext-dev,
+ libxft-dev,
+ libxinerama-dev,
  zlib1g-dev | libz-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.5
 Homepage: http://eureka-editor.sourceforge.net/
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/eureka.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-games/eureka.git
+Vcs-Browser: https://salsa.debian.org/games-team/eureka
+Vcs-Git: https://salsa.debian.org/games-team/eureka.git
 
 Package: eureka
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,--no-undefined

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- \
		OPTIMISE="$(CPPFLAGS) $(CXXFLAGS)" \
		LDFLAGS="$(LDFLAGS)"

override_dh_auto_install:
	dh_auto_install -- \
		DESTDIR=$(CURDIR)/debian/eureka \
		PREFIX=/usr

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.txt

override_dh_installdocs:
	dh_installdocs AUTHORS.txt README.txt

override_dh_installman:
	dh_installman misc/eureka.6

## eureka 1.27

=== Makefile ===
--- 
+++ 
@@ -1,51 +1,53 @@
 #
 #  --- Eureka Editor ---
 #
-#  Makefile for Unixy system-wide install
+#  Makefile for Unixy system-wide install.
+#  Requires GNU make.
 #
 
 PROGRAM=eureka
 
 # prefix choices: /usr  /usr/local  /opt
-PREFIX=/usr/local
+PREFIX ?= /usr/local
+
+# CXX=clang++-6.0
+
+# flags controlling the dialect of C++
+# [ the code is old-school C++ without modern features ]
+CXX_DIALECT=-std=c++03 -fno-strict-aliasing -fwrapv
+
+WARNINGS=-Wall -Wextra -Wno-unused-parameter -Wno-missing-field-initializers
+OPTIMISE=-O2 -g
+STRIP_FLAGS=--strip-unneeded
+
+# default flags for compiler, preprocessor and linker
+CXXFLAGS ?= $(OPTIMISE) $(WARNINGS)
+CPPFLAGS ?=
+LDFLAGS ?= $(OPTIMISE)
+LIBS ?=
+
+# general things needed by Eureka
+CXXFLAGS += $(CXX_DIALECT)
+LIBS += -lGLU -lGL
+LIBS += -lz -lm
+
+# add this for software rendering, remove '--use-gl' below, remove -lGL and -lGLU from LIBS
+# CXXFLAGS += -DNO_OPENGL
+
+# FLTK flags (this assumes a system-wide FLTK installation)
+FLTK_CONFIG ?= fltk-config
+
+CXXFLAGS += $(shell $(FLTK_CONFIG) --use-images --use-gl --cxxflags)
+LDFLAGS  += $(shell $(FLTK_CONFIG) --use-images --use-gl  --ldflags)
+
+# NOTE: the following is commented out since it does not work as expected.
+#       the --libs option gives us static libraries, but --ldflags option
+#       gives us dynamic libraries (and we use --ldflags above).
+# LIBS += $(shell fltk-config --use-images --libs)
 
 OBJ_DIR=obj_linux
 
-# CXX=clang++-6.0
-
-WARNINGS=-Wall -Wextra -Wno-unused-parameter -Wno-missing-field-initializers
-OPTIMISE=-O2 -std=c++03 -fno-strict-aliasing -fwrapv
-STRIP_FLAGS=--strip-unneeded
-
-
-#--- Internal stuff from here -----------------------------------
-
-CXXFLAGS=$(OPTIMISE) $(WARNINGS) -D_THREAD_SAFE -D_REENTRANT
-
-LDFLAGS=-L/usr/X11R6/lib
-
-LIBS= \
-     -lfltk_images -lfltk_gl -lfltk  \
-     -lX11 -lXext -lXft -lfontconfig -lXinerama  \
-     -lpng -ljpeg -lGL -lz -lm
-
 DUMMY=$(OBJ_DIR)/zzdummy
-
-
-# support for a non-standard install of FLTK
-ifneq ($(FLTK_PREFIX),)
-CXXFLAGS += -I$(FLTK_PREFIX)/include
-LDFLAGS += -L$(FLTK_PREFIX)/lib -Wl,-rpath,$(FLTK_PREFIX)/lib
-endif
-
-# support for statically linking FLTK (no GL, local JPEG and PNG)
-ifneq ($(FLTK_STATIC),)
-LIBS= \
-     -lfltk_images -lfltk  \
-     -lfltk_png -lfltk_jpeg \
-     -lX11 -lXext -lXft -lfontconfig -lXinerama \
-     -lz -lm
-endif
 
 
 #----- Object files ----------------------------------------------
@@ -82,8 +84,12 @@
 	$(OBJ_DIR)/m_select.o  \
 	$(OBJ_DIR)/m_strings.o  \
 	$(OBJ_DIR)/m_testmap.o  \
+	$(OBJ_DIR)/m_udmf.o  \
 	$(OBJ_DIR)/r_grid.o  \
 	$(OBJ_DIR)/r_render.o  \
+	$(OBJ_DIR)/r_opengl.o  \
+	$(OBJ_DIR)/r_software.o  \
+	$(OBJ_DIR)/r_subdiv.o  \
 	$(OBJ_DIR)/sys_debug.o \
 	$(OBJ_DIR)/ui_about.o  \
 	$(OBJ_DIR)/ui_browser.o  \
@@ -117,7 +123,7 @@
 	$(OBJ_DIR)/bsp_util.o
 
 $(OBJ_DIR)/%.o: src/%.cc
-	$(CXX) $(CXXFLAGS) -o $@ -c $<
+	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -o $@ -c $<
 
 
 #----- Targets -----------------------------------------------
@@ -144,19 +150,19 @@
 
 INSTALL_DIR=$(DESTDIR)$(PREFIX)/share/eureka
 
-install: stripped
-	install -o root -m 755 $(PROGRAM) $(DESTDIR)$(PREFIX)/bin/
+install: all
+	install -m 755 $(PROGRAM) $(DESTDIR)$(PREFIX)/bin/
 	install -d $(INSTALL_DIR)/games
 	install -d $(INSTALL_DIR)/common
 	install -d $(INSTALL_DIR)/ports
 	rm -f $(INSTALL_DIR)/games/freedoom.ugh
-	install -o root -m 644 bindings.cfg $(INSTALL_DIR)/bindings.cfg
-	install -o root -m 644 defaults.cfg $(INSTALL_DIR)/defaults.cfg
-	install -o root -m 644 operations.cfg $(INSTALL_DIR)/operations.cfg
-	install -o root -m 644 misc/about_logo.png $(INSTALL_DIR)/about_logo.png
-	install -o root -m 644 games/*.* $(INSTALL_DIR)/games
-	install -o root -m 644 common/*.* $(INSTALL_DIR)/common
-	install -o root -m 644 ports/*.* $(INSTALL_DIR)/ports
+	install -m 644 bindings.cfg $(INSTALL_DIR)/bindings.cfg
+	install -m 644 defaults.cfg $(INSTALL_DIR)/defaults.cfg
+	install -m 644 operations.cfg $(INSTALL_DIR)/operations.cfg
+	install -m 644 misc/about_logo.png $(INSTALL_DIR)/about_logo.png
+	install -m 644 games/*.* $(INSTALL_DIR)/games
+	install -m 644 common/*.* $(INSTALL_DIR)/common
+	install -m 644 ports/*.* $(INSTALL_DIR)/ports
 
 full-install: install
 	xdg-desktop-menu  install --novendor misc/eureka.desktop

=== debian/changelog ===
eureka (1.27-1) unstable; urgency=medium

  * New upstream version 1.27
  * Remove patches backported from upstream.
  * Add libgl-dev and libglu-dev to Build-Depends.
  * Apply two post-release commits from the upstream GIT repo.
  * Bump Standards-Version to 4.5.0.
  * Bump debhelper-compat to 12.
  * Rules-Requires-Root: no.

 -- Fabian Greffrath <fabian@debian.org>  Sun, 16 Feb 2020 00:03:15 +0100

eureka (1.24-3) unstable; urgency=medium

  * Apply a commit from the upstream GIT repo, so that the "install"
    target no longer strips the binary.
    Original patch by Helmut Grohne (Closes: #928844).
  * Apply two more relevant post-release commits from the upstream GIT repo.

 -- Fabian Greffrath <fabian@debian.org>  Mon, 13 May 2019 17:23:05 +0200

eureka (1.24-2) unstable; urgency=medium

  * Add some post-release patches from the upstream GIT repo.
  * Do not mangle any build flags anymore.
  * Remove again some superfluous Build-Depends.

 -- Fabian Greffrath <fabian@debian.org>  Sat, 22 Sep 2018 21:27:20 +0200

=== debian/control ===
--- 
+++ 
@@ -4,19 +4,16 @@
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Fabian Greffrath <fabian@debian.org>
 Build-Depends:
- debhelper (>= 11~),
+ debhelper-compat (= 12),
  libfltk1.3-dev,
- libfontconfig1-dev,
- libgl1-mesa-dev,
- libjpeg-dev,
- libxext-dev,
- libxft-dev,
- libxinerama-dev,
+ libgl1-mesa-dev | libgl-dev,
+ libglu1-mesa-dev | libglu-dev,
  zlib1g-dev | libz-dev
-Standards-Version: 4.1.5
+Standards-Version: 4.5.0
 Homepage: http://eureka-editor.sourceforge.net/
 Vcs-Browser: https://salsa.debian.org/games-team/eureka
 Vcs-Git: https://salsa.debian.org/games-team/eureka.git
+Rules-Requires-Root: no
 
 Package: eureka
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -5,11 +5,6 @@
 
 %:
 	dh $@
-
-override_dh_auto_build:
-	dh_auto_build -- \
-		OPTIMISE="$(CPPFLAGS) $(CXXFLAGS)" \
-		LDFLAGS="$(LDFLAGS)"
 
 override_dh_auto_install:
 	dh_auto_install -- \

## eureka 1.27b

=== debian/changelog ===
eureka (1.27b-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:48:49 +1100

eureka (1.27b-2build1) noble; urgency=high

  * No change rebuild against libfltk1.3t64, libfltk-images1.3t64,
    libfltk-gl1.3t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 16:59:17 +0100

eureka (1.27b-2) unstable; urgency=medium

  * Condense version mangling into a single rule in debian/watch.
  * Remove purely virtual packages from Recommends.
  * Remove "--as-needed" linker flag.
  * Bump debhelper-compat to 13.

 -- Fabian Greffrath <fabian@debian.org>  Sat, 03 Oct 2020 21:59:36 +0200

eureka (1.27b-1) unstable; urgency=medium

  * Mangle away the period in both upstream and Debian version
    strings.
  * New upstream version 1.27b
  * Remove patches backported from upstream.

 -- Fabian Greffrath <fabian@debian.org>  Mon, 04 May 2020 22:26:31 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: eureka
 Section: utils
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Fabian Greffrath <fabian@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libfltk1.3-dev,
  libgl1-mesa-dev | libgl-dev,
  libglu1-mesa-dev | libglu-dev,
@@ -20,7 +21,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
-Recommends: freedoom | game-data-packager | boom-wad | doom-wad
+Recommends: freedoom | game-data-packager
 Description: map editor for the classic DOOM games
  Eureka is a cross-platform map editor for the classic DOOM games.
  It started as a fork of the Yadex editor attempting to make it use the

=== debian/watch ===
version=3

opts="versionmangle=s/\.//;s/-source//" \
http://sf.net/eureka-editor/eureka-(.*)\.tar\.gz
